added -avoid-version to LDFLAGS, plugins are not versioned
[strongswan.git] / src / libstrongswan / plugins / test_vectors / Makefile.am
1
2 INCLUDES = -I$(top_srcdir)/src/libstrongswan
3
4 AM_CFLAGS = -rdynamic
5
6 plugin_LTLIBRARIES = libstrongswan-test-vectors.la
7
8 libstrongswan_test_vectors_la_SOURCES = \
9         test_vectors_plugin.h test_vectors_plugin.c test_vectors.h \
10         test_vectors/3des_cbc.c \
11         test_vectors/aes_cbc.c \
12         test_vectors/aes_xcbc.c \
13         test_vectors/blowfish.c \
14         test_vectors/camellia_cbc.c \
15         test_vectors/cast.c \
16         test_vectors/des.c \
17         test_vectors/idea.c \
18         test_vectors/null.c \
19         test_vectors/rc5.c \
20         test_vectors/serpent_cbc.c \
21         test_vectors/twofish_cbc.c \
22         test_vectors/md2.c \
23         test_vectors/md4.c \
24         test_vectors/md5.c \
25         test_vectors/md5_hmac.c \
26         test_vectors/sha1.c \
27         test_vectors/sha1_hmac.c \
28         test_vectors/sha2.c \
29         test_vectors/sha2_hmac.c \
30         test_vectors/fips_prf.c \
31         test_vectors/rng.c
32 libstrongswan_test_vectors_la_LDFLAGS = -module -avoid-version
33